Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query.impl
Class DocumentRootImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._2._1.query.impl.DocumentRootImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, DocumentRoot

    public class DocumentRootImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements DocumentRoot

An implementation of the model object 'Document Root'.

The following features are implemented:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`
- `Adhoc Query Request`
- `Adhoc Query Response`
- `Association Filter`
- `Association Query`
- `Association Query Result`
- `Auditable Event Filter`
- `Auditable Event Query`
- `Auditable Event Query Result`
- `Boolean Clause`
- `Classification Filter`
- `Classification Node Children Branch`
- `Classification Node Filter`
- `Classification Node Parent Branch`
- `Classification Node Query`
- `Classification Node Query Result`
- `Classification Query`
- `Classification Query Result`
- `Classification Scheme Filter`
- `Classification Scheme Query`
- `Classification Scheme Query Result`
- `Classified By Branch`
- `Clause`
- `Compound Clause`
- `Date Time Clause`
- `Description Branch`
- `Email Address Filter`
- `External Identifier Filter`
- `External Link Filter`
- `Extrinsic Object Filter`
- `Extrinsic Object Query`
- `Extrinsic Object Query Result`
- `Filter Query`
- `Filter Query Result`
- `Float Clause`
- `Get Content Request`
- `Get Content Response`
- `Int Clause`
- `Localized String Filter`
- `Name Branch`
- `Organization Children Branch`
- `Organization Filter`
- `Organization Parent Branch`
- `Organization Query`
- `Organization Query Result`
- `Postal Address Filter`
- `Rational Clause`
- `Registry Entry Filter`
- `Registry Entry Query`
- `Registry Entry Query Result`
- `Registry Object Filter`
- `Registry Object Query`
- `Registry Object Query Result`
- `Registry Package Filter`
- `Registry Package Query`
- `Registry Package Query Result`
- `Response Option`
- `Service Binding Branch`
- `Service Binding Filter`
- `Service Binding Target Branch`
- `Service Filter`
- `Service Query`
- `Service Query Result`
- `Simple Clause`
- `Slot Branch`
- `Slot Filter`
- `Slot Value Filter`
- `Source Association Branch`
- `Specification Link Branch`
- `Specification Link Filter`
- `Sql Query`
- `Sql Query Result`
- `String Clause`
- `Target Association Branch`
- `Telephone Number Filter`
- `User Branch`
- `User Filter`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAdhocQueryRequest(AdhocQueryRequestType newAdhocQueryRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAdhocQueryResponse(AdhocQueryResponseType newAdhocQueryResponse, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAssociationFilter(FilterType newAssociationFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAssociationQuery(AssociationQueryType newAssociationQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAssociationQueryResult(AssociationQueryResultType newAssociationQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAuditableEventFilter(FilterType newAuditableEventFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAuditableEventQuery(AuditableEventQueryType newAuditableEventQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAuditableEventQueryResult(AuditableEventQueryResultType newAuditableEventQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetBooleanClause(BooleanClauseType newBooleanClause, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationFilter(FilterType newClassificationFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationNodeChildrenBranch(ClassificationNodeQueryType newClassificationNodeChildrenBranch, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationNodeFilter(FilterType newClassificationNodeFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationNodeParentBranch(ClassificationNodeQueryType newClassificationNodeParentBranch, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationNodeQuery(ClassificationNodeQueryType newClassificationNodeQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationNodeQueryResult(ClassificationNodeQueryResultType newClassificationNodeQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationQuery(ClassificationQueryType newClassificationQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationQueryResult(ClassificationQueryResultType newClassificationQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationSchemeFilter(FilterType newClassificationSchemeFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationSchemeQuery(ClassificationSchemeQueryType newClassificationSchemeQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationSchemeQueryResult(ClassificationSchemeQueryResultType newClassificationSchemeQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassifiedByBranch(ClassifiedByBranchType newClassifiedByBranch, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClause(ClauseType newClause, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetCompoundClause(CompoundClauseType newCompoundClause, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetDescriptionBranch(InternationalStringBranchType newDescriptionBranch, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetEmailAddressFilter(FilterType newEmailAddressFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetExternalIdentifierFilter(FilterType newExternalIdentifierFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetExternalLinkFilter(FilterType newExternalLinkFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetExtrinsicObjectFilter(FilterType newExtrinsicObjectFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetExtrinsicObjectQuery(ExtrinsicObjectQueryType newExtrinsicObjectQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetExtrinsicObjectQueryResult(ExtrinsicObjectQueryResultType newExtrinsicObjectQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetFilterQuery(FilterQueryType newFilterQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetFilterQueryResult(FilterQueryResultType newFilterQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetGetContentRequest(GetContentRequestType newGetContentRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetGetContentResponse(GetContentResponseType newGetContentResponse, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetLocalizedStringFilter(FilterType newLocalizedStringFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetNameBranch(InternationalStringBranchType newNameBranch, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetOrganizationChildrenBranch(OrganizationQueryType newOrganizationChildrenBranch, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetOrganizationFilter(FilterType newOrganizationFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetOrganizationParentBranch(OrganizationQueryType newOrganizationParentBranch, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetOrganizationQuery(OrganizationQueryType newOrganizationQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetOrganizationQueryResult(OrganizationQueryResultType newOrganizationQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetPostalAddressFilter(FilterType newPostalAddressFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRationalClause(RationalClauseType newRationalClause, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryEntryFilter(FilterType newRegistryEntryFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryEntryQuery(RegistryEntryQueryType newRegistryEntryQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryEntryQueryResult(RegistryEntryQueryResultType newRegistryEntryQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryObjectFilter(FilterType newRegistryObjectFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryObjectQuery(RegistryObjectQueryType newRegistryObjectQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryObjectQueryResult(RegistryObjectListType newRegistryObjectQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryPackageFilter(FilterType newRegistryPackageFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryPackageQuery(RegistryPackageQueryType newRegistryPackageQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryPackageQueryResult(RegistryPackageQueryResultType newRegistryPackageQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetResponseOption(ResponseOptionType newResponseOption, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetServiceBindingBranch(ServiceBindingBranchType newServiceBindingBranch, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetServiceBindingFilter(FilterType newServiceBindingFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetServiceBindingTargetBranch(ServiceBindingBranchType newServiceBindingTargetBranch, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetServiceFilter(FilterType newServiceFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetServiceQuery(ServiceQueryType newServiceQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetServiceQueryResult(ServiceQueryResultType newServiceQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSimpleClause(SimpleClauseType newSimpleClause, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSlotBranch(SlotBranchType newSlotBranch, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSlotFilter(FilterType newSlotFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSlotValueFilter(FilterType newSlotValueFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSourceAssociationBranch(AssociationBranchType newSourceAssociationBranch, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSpecificationLinkBranch(SpecificationLinkBranchType newSpecificationLinkBranch, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSpecificationLinkFilter(FilterType newSpecificationLinkFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSqlQueryResult(RegistryObjectListType newSqlQueryResult, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetStringClause(StringClauseType newStringClause, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetTargetAssociationBranch(AssociationBranchType newTargetAssociationBranch, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetTelephoneNumberFilter(FilterType newTelephoneNumberFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetUserBranch(UserBranchType newUserBranch, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetUserFilter(FilterType newUserFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`AdhocQueryRequestType` | `getAdhocQueryRequest()`
`AdhocQueryResponseType` | `getAdhocQueryResponse()`
`FilterType` | `getAssociationFilter()`
`AssociationQueryType` | `getAssociationQuery()`
`AssociationQueryResultType` | `getAssociationQueryResult()`
`FilterType` | `getAuditableEventFilter()`
`AuditableEventQueryType` | `getAuditableEventQuery()`
`AuditableEventQueryResultType` | `getAuditableEventQueryResult()`
`BooleanClauseType` | `getBooleanClause()`
`FilterType` | `getClassificationFilter()`
`ClassificationNodeQueryType` | `getClassificationNodeChildrenBranch()`
`FilterType` | `getClassificationNodeFilter()`
`ClassificationNodeQueryType` | `getClassificationNodeParentBranch()`
`ClassificationNodeQueryType` | `getClassificationNodeQuery()`
`ClassificationNodeQueryResultType` | `getClassificationNodeQueryResult()`
`ClassificationQueryType` | `getClassificationQuery()`
`ClassificationQueryResultType` | `getClassificationQueryResult()`
`FilterType` | `getClassificationSchemeFilter()`
`ClassificationSchemeQueryType` | `getClassificationSchemeQuery()`
`ClassificationSchemeQueryResultType` | `getClassificationSchemeQueryResult()`
`ClassifiedByBranchType` | `getClassifiedByBranch()`
`ClauseType` | `getClause()`
`CompoundClauseType` | `getCompoundClause()`
`java.lang.Object` | `getDateTimeClause()`
`InternationalStringBranchType` | `getDescriptionBranch()`
`FilterType` | `getEmailAddressFilter()`
`FilterType` | `getExternalIdentifierFilter()`
`FilterType` | `getExternalLinkFilter()`
`FilterType` | `getExtrinsicObjectFilter()`
`ExtrinsicObjectQueryType` | `getExtrinsicObjectQuery()`
`ExtrinsicObjectQueryResultType` | `getExtrinsicObjectQueryResult()`
`FilterQueryType` | `getFilterQuery()`
`FilterQueryResultType` | `getFilterQueryResult()`
`float` | `getFloatClause()`
`GetContentRequestType` | `getGetContentRequest()`
`GetContentResponseType` | `getGetContentResponse()`
`java.math.BigInteger` | `getIntClause()`
`FilterType` | `getLocalizedStringFilter()`
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()`
`InternationalStringBranchType` | `getNameBranch()`
`OrganizationQueryType` | `getOrganizationChildrenBranch()`
`FilterType` | `getOrganizationFilter()`
`OrganizationQueryType` | `getOrganizationParentBranch()`
`OrganizationQueryType` | `getOrganizationQuery()`
`OrganizationQueryResultType` | `getOrganizationQueryResult()`
`FilterType` | `getPostalAddressFilter()`
`RationalClauseType` | `getRationalClause()`
`FilterType` | `getRegistryEntryFilter()`
`RegistryEntryQueryType` | `getRegistryEntryQuery()`
`RegistryEntryQueryResultType` | `getRegistryEntryQueryResult()`
`FilterType` | `getRegistryObjectFilter()`
`RegistryObjectQueryType` | `getRegistryObjectQuery()`
`RegistryObjectListType` | `getRegistryObjectQueryResult()`
`FilterType` | `getRegistryPackageFilter()`
`RegistryPackageQueryType` | `getRegistryPackageQuery()`
`RegistryPackageQueryResultType` | `getRegistryPackageQueryResult()`
`ResponseOptionType` | `getResponseOption()`
`ServiceBindingBranchType` | `getServiceBindingBranch()`
`FilterType` | `getServiceBindingFilter()`
`ServiceBindingBranchType` | `getServiceBindingTargetBranch()`
`FilterType` | `getServiceFilter()`
`ServiceQueryType` | `getServiceQuery()`
`ServiceQueryResultType` | `getServiceQueryResult()`
`SimpleClauseType` | `getSimpleClause()`
`SlotBranchType` | `getSlotBranch()`
`FilterType` | `getSlotFilter()`
`FilterType` | `getSlotValueFilter()`
`AssociationBranchType` | `getSourceAssociationBranch()`
`SpecificationLinkBranchType` | `getSpecificationLinkBranch()`
`FilterType` | `getSpecificationLinkFilter()`
`java.lang.String` | `getSqlQuery()`
`RegistryObjectListType` | `getSqlQueryResult()`
`StringClauseType` | `getStringClause()`
`AssociationBranchType` | `getTargetAssociationBranch()`
`FilterType` | `getTelephoneNumberFilter()`
`UserBranchType` | `getUserBranch()`
`FilterType` | `getUserFilter()`
`org.eclipse.emf.common.util.EMap` | `getXMLNSPrefixMap()`
`org.eclipse.emf.common.util.EMap` | `getXSISchemaLocation()`
`void` | `setAdhocQueryRequest(AdhocQueryRequestType newAdhocQueryRequest)`
`void` | `setAdhocQueryResponse(AdhocQueryResponseType newAdhocQueryResponse)`
`void` | `setAssociationFilter(FilterType newAssociationFilter)`
`void` | `setAssociationQuery(AssociationQueryType newAssociationQuery)`
`void` | `setAssociationQueryResult(AssociationQueryResultType newAssociationQueryResult)`
`void` | `setAuditableEventFilter(FilterType newAuditableEventFilter)`
`void` | `setAuditableEventQuery(AuditableEventQueryType newAuditableEventQuery)`
`void` | `setAuditableEventQueryResult(AuditableEventQueryResultType newAuditableEventQueryResult)`
`void` | `setBooleanClause(BooleanClauseType newBooleanClause)`
`void` | `setClassificationFilter(FilterType newClassificationFilter)`
`void` | `setClassificationNodeChildrenBranch(ClassificationNodeQueryType newClassificationNodeChildrenBranch)`
`void` | `setClassificationNodeFilter(FilterType newClassificationNodeFilter)`
`void` | `setClassificationNodeParentBranch(ClassificationNodeQueryType newClassificationNodeParentBranch)`
`void` | `setClassificationNodeQuery(ClassificationNodeQueryType newClassificationNodeQuery)`
`void` | `setClassificationNodeQueryResult(ClassificationNodeQueryResultType newClassificationNodeQueryResult)`
`void` | `setClassificationQuery(ClassificationQueryType newClassificationQuery)`
`void` | `setClassificationQueryResult(ClassificationQueryResultType newClassificationQueryResult)`
`void` | `setClassificationSchemeFilter(FilterType newClassificationSchemeFilter)`
`void` | `setClassificationSchemeQuery(ClassificationSchemeQueryType newClassificationSchemeQuery)`
`void` | `setClassificationSchemeQueryResult(ClassificationSchemeQueryResultType newClassificationSchemeQueryResult)`
`void` | `setClassifiedByBranch(ClassifiedByBranchType newClassifiedByBranch)`
`void` | `setClause(ClauseType newClause)`
`void` | `setCompoundClause(CompoundClauseType newCompoundClause)`
`void` | `setDateTimeClause(java.lang.Object newDateTimeClause)`
`void` | `setDescriptionBranch(InternationalStringBranchType newDescriptionBranch)`
`void` | `setEmailAddressFilter(FilterType newEmailAddressFilter)`
`void` | `setExternalIdentifierFilter(FilterType newExternalIdentifierFilter)`
`void` | `setExternalLinkFilter(FilterType newExternalLinkFilter)`
`void` | `setExtrinsicObjectFilter(FilterType newExtrinsicObjectFilter)`
`void` | `setExtrinsicObjectQuery(ExtrinsicObjectQueryType newExtrinsicObjectQuery)`
`void` | `setExtrinsicObjectQueryResult(ExtrinsicObjectQueryResultType newExtrinsicObjectQueryResult)`
`void` | `setFilterQuery(FilterQueryType newFilterQuery)`
`void` | `setFilterQueryResult(FilterQueryResultType newFilterQueryResult)`
`void` | `setFloatClause(float newFloatClause)`
`void` | `setGetContentRequest(GetContentRequestType newGetContentRequest)`
`void` | `setGetContentResponse(GetContentResponseType newGetContentResponse)`
`void` | `setIntClause(java.math.BigInteger newIntClause)`
`void` | `setLocalizedStringFilter(FilterType newLocalizedStringFilter)`
`void` | `setNameBranch(InternationalStringBranchType newNameBranch)`
`void` | `setOrganizationChildrenBranch(OrganizationQueryType newOrganizationChildrenBranch)`
`void` | `setOrganizationFilter(FilterType newOrganizationFilter)`
`void` | `setOrganizationParentBranch(OrganizationQueryType newOrganizationParentBranch)`
`void` | `setOrganizationQuery(OrganizationQueryType newOrganizationQuery)`
`void` | `setOrganizationQueryResult(OrganizationQueryResultType newOrganizationQueryResult)`
`void` | `setPostalAddressFilter(FilterType newPostalAddressFilter)`
`void` | `setRationalClause(RationalClauseType newRationalClause)`
`void` | `setRegistryEntryFilter(FilterType newRegistryEntryFilter)`
`void` | `setRegistryEntryQuery(RegistryEntryQueryType newRegistryEntryQuery)`
`void` | `setRegistryEntryQueryResult(RegistryEntryQueryResultType newRegistryEntryQueryResult)`
`void` | `setRegistryObjectFilter(FilterType newRegistryObjectFilter)`
`void` | `setRegistryObjectQuery(RegistryObjectQueryType newRegistryObjectQuery)`
`void` | `setRegistryObjectQueryResult(RegistryObjectListType newRegistryObjectQueryResult)`
`void` | `setRegistryPackageFilter(FilterType newRegistryPackageFilter)`
`void` | `setRegistryPackageQuery(RegistryPackageQueryType newRegistryPackageQuery)`
`void` | `setRegistryPackageQueryResult(RegistryPackageQueryResultType newRegistryPackageQueryResult)`
`void` | `setResponseOption(ResponseOptionType newResponseOption)`
`void` | `setServiceBindingBranch(ServiceBindingBranchType newServiceBindingBranch)`
`void` | `setServiceBindingFilter(FilterType newServiceBindingFilter)`
`void` | `setServiceBindingTargetBranch(ServiceBindingBranchType newServiceBindingTargetBranch)`
`void` | `setServiceFilter(FilterType newServiceFilter)`
`void` | `setServiceQuery(ServiceQueryType newServiceQuery)`
`void` | `setServiceQueryResult(ServiceQueryResultType newServiceQueryResult)`
`void` | `setSimpleClause(SimpleClauseType newSimpleClause)`
`void` | `setSlotBranch(SlotBranchType newSlotBranch)`
`void` | `setSlotFilter(FilterType newSlotFilter)`
`void` | `setSlotValueFilter(FilterType newSlotValueFilter)`
`void` | `setSourceAssociationBranch(AssociationBranchType newSourceAssociationBranch)`
`void` | `setSpecificationLinkBranch(SpecificationLinkBranchType newSpecificationLinkBranch)`
`void` | `setSpecificationLinkFilter(FilterType newSpecificationLinkFilter)`
`void` | `setSqlQuery(java.lang.String newSqlQuery)`
`void` | `setSqlQueryResult(RegistryObjectListType newSqlQueryResult)`
`void` | `setStringClause(StringClauseType newStringClause)`
`void` | `setTargetAssociationBranch(AssociationBranchType newTargetAssociationBranch)`
`void` | `setTelephoneNumberFilter(FilterType newTelephoneNumberFilter)`
`void` | `setUserBranch(UserBranchType newUserBranch)`
`void` | `setUserFilter(FilterType newUserFilter)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getMixed

    public org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Specified by:
    `getMixed` in interface `DocumentRoot`
  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `QueryPackage.getDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    public org.eclipse.emf.common.util.EMap getXMLNSPrefixMap()

  Specified by:
    `getXMLNSPrefixMap` in interface `DocumentRoot`
  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `QueryPackage.getDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    public org.eclipse.emf.common.util.EMap getXSISchemaLocation()

  Specified by:
    `getXSISchemaLocation` in interface `DocumentRoot`
  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `QueryPackage.getDocumentRoot_XSISchemaLocation()`

### getAdhocQueryRequest

    public AdhocQueryRequestType getAdhocQueryRequest()

  Specified by:
    `getAdhocQueryRequest` in interface `DocumentRoot`
  Returns:
    the value of the 'Adhoc Query Request' containment reference.
  See Also:
    `DocumentRoot.setAdhocQueryRequest(AdhocQueryRequestType)`, `QueryPackage.getDocumentRoot_AdhocQueryRequest()`

### basicSetAdhocQueryRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetAdhocQueryRequest(AdhocQueryRequestType newAdhocQueryRequest,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setAdhocQueryRequest

    public void setAdhocQueryRequest(AdhocQueryRequestType newAdhocQueryRequest)

  Specified by:
    `setAdhocQueryRequest` in interface `DocumentRoot`
  Parameters:
    `newAdhocQueryRequest` - the new value of the 'Adhoc Query Request' containment reference.
  See Also:
    `DocumentRoot.getAdhocQueryRequest()`

### getAdhocQueryResponse

    public AdhocQueryResponseType getAdhocQueryResponse()

  Specified by:
    `getAdhocQueryResponse` in interface `DocumentRoot`
  Returns:
    the value of the 'Adhoc Query Response' containment reference.
  See Also:
    `DocumentRoot.setAdhocQueryResponse(AdhocQueryResponseType)`, `QueryPackage.getDocumentRoot_AdhocQueryResponse()`

### basicSetAdhocQueryResponse

    public org.eclipse.emf.common.notify.NotificationChain basicSetAdhocQueryResponse(AdhocQueryResponseType newAdhocQueryResponse,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setAdhocQueryResponse

    public void setAdhocQueryResponse(AdhocQueryResponseType newAdhocQueryResponse)

  Specified by:
    `setAdhocQueryResponse` in interface `DocumentRoot`
  Parameters:
    `newAdhocQueryResponse` - the new value of the 'Adhoc Query Response' containment reference.
  See Also:
    `DocumentRoot.getAdhocQueryResponse()`

### getAssociationFilter

    public FilterType getAssociationFilter()

  Specified by:
    `getAssociationFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Association Filter' containment reference.
  See Also:
    `DocumentRoot.setAssociationFilter(FilterType)`, `QueryPackage.getDocumentRoot_AssociationFilter()`

### basicSetAssociationFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetAssociationFilter(FilterType newAssociationFilter,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setAssociationFilter

    public void setAssociationFilter(FilterType newAssociationFilter)

  Specified by:
    `setAssociationFilter` in interface `DocumentRoot`
  Parameters:
    `newAssociationFilter` - the new value of the 'Association Filter' containment reference.
  See Also:
    `DocumentRoot.getAssociationFilter()`

### getAssociationQuery

    public AssociationQueryType getAssociationQuery()

  Specified by:
    `getAssociationQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Association Query' containment reference.
  See Also:
    `DocumentRoot.setAssociationQuery(AssociationQueryType)`, `QueryPackage.getDocumentRoot_AssociationQuery()`

### basicSetAssociationQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetAssociationQuery(AssociationQueryType newAssociationQuery,
                                                                                    org.eclipse.emf.common.notify.NotificationChain msgs)

### setAssociationQuery

    public void setAssociationQuery(AssociationQueryType newAssociationQuery)

  Specified by:
    `setAssociationQuery` in interface `DocumentRoot`
  Parameters:
    `newAssociationQuery` - the new value of the 'Association Query' containment reference.
  See Also:
    `DocumentRoot.getAssociationQuery()`

### getAssociationQueryResult

    public AssociationQueryResultType getAssociationQueryResult()

  Specified by:
    `getAssociationQueryResult` in interface `DocumentRoot`
  Returns:
    the value of the 'Association Query Result' containment reference.
  See Also:
    `DocumentRoot.setAssociationQueryResult(AssociationQueryResultType)`, `QueryPackage.getDocumentRoot_AssociationQueryResult()`

### basicSetAssociationQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetAssociationQueryResult(AssociationQueryResultType newAssociationQueryResult,
                                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setAssociationQueryResult

    public void setAssociationQueryResult(AssociationQueryResultType newAssociationQueryResult)

  Specified by:
    `setAssociationQueryResult` in interface `DocumentRoot`
  Parameters:
    `newAssociationQueryResult` - the new value of the 'Association Query Result' containment reference.
  See Also:
    `DocumentRoot.getAssociationQueryResult()`

### getAuditableEventFilter

    public FilterType getAuditableEventFilter()

  Specified by:
    `getAuditableEventFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Auditable Event Filter' containment reference.
  See Also:
    `DocumentRoot.setAuditableEventFilter(FilterType)`, `QueryPackage.getDocumentRoot_AuditableEventFilter()`

### basicSetAuditableEventFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetAuditableEventFilter(FilterType newAuditableEventFilter,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setAuditableEventFilter

    public void setAuditableEventFilter(FilterType newAuditableEventFilter)

  Specified by:
    `setAuditableEventFilter` in interface `DocumentRoot`
  Parameters:
    `newAuditableEventFilter` - the new value of the 'Auditable Event Filter' containment reference.
  See Also:
    `DocumentRoot.getAuditableEventFilter()`

### getAuditableEventQuery

    public AuditableEventQueryType getAuditableEventQuery()

  Specified by:
    `getAuditableEventQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Auditable Event Query' containment reference.
  See Also:
    `DocumentRoot.setAuditableEventQuery(AuditableEventQueryType)`, `QueryPackage.getDocumentRoot_AuditableEventQuery()`

### basicSetAuditableEventQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetAuditableEventQuery(AuditableEventQueryType newAuditableEventQuery,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setAuditableEventQuery

    public void setAuditableEventQuery(AuditableEventQueryType newAuditableEventQuery)

  Specified by:
    `setAuditableEventQuery` in interface `DocumentRoot`
  Parameters:
    `newAuditableEventQuery` - the new value of the 'Auditable Event Query' containment reference.
  See Also:
    `DocumentRoot.getAuditableEventQuery()`

### getAuditableEventQueryResult

    public AuditableEventQueryResultType getAuditableEventQueryResult()

  Specified by:
    `getAuditableEventQueryResult` in interface `DocumentRoot`
  Returns:
    the value of the 'Auditable Event Query Result' containment reference.
  See Also:
    `DocumentRoot.setAuditableEventQueryResult(AuditableEventQueryResultType)`, `QueryPackage.getDocumentRoot_AuditableEventQueryResult()`

### basicSetAuditableEventQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetAuditableEventQueryResult(AuditableEventQueryResultType newAuditableEventQueryResult,
                                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setAuditableEventQueryResult

    public void setAuditableEventQueryResult(AuditableEventQueryResultType newAuditableEventQueryResult)

  Specified by:
    `setAuditableEventQueryResult` in interface `DocumentRoot`
  Parameters:
    `newAuditableEventQueryResult` - the new value of the 'Auditable Event Query Result' containment reference.
  See Also:
    `DocumentRoot.getAuditableEventQueryResult()`

### getBooleanClause

    public BooleanClauseType getBooleanClause()

  Specified by:
    `getBooleanClause` in interface `DocumentRoot`
  Returns:
    the value of the 'Boolean Clause' containment reference.
  See Also:
    `DocumentRoot.setBooleanClause(BooleanClauseType)`, `QueryPackage.getDocumentRoot_BooleanClause()`

### basicSetBooleanClause

    public org.eclipse.emf.common.notify.NotificationChain basicSetBooleanClause(BooleanClauseType newBooleanClause,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

### setBooleanClause

    public void setBooleanClause(BooleanClauseType newBooleanClause)

  Specified by:
    `setBooleanClause` in interface `DocumentRoot`
  Parameters:
    `newBooleanClause` - the new value of the 'Boolean Clause' containment reference.
  See Also:
    `DocumentRoot.getBooleanClause()`

### getClassificationFilter

    public FilterType getClassificationFilter()

  Specified by:
    `getClassificationFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Classification Filter' containment reference.
  See Also:
    `DocumentRoot.setClassificationFilter(FilterType)`, `QueryPackage.getDocumentRoot_ClassificationFilter()`

### basicSetClassificationFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationFilter(FilterType newClassificationFilter,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationFilter

    public void setClassificationFilter(FilterType newClassificationFilter)

  Specified by:
    `setClassificationFilter` in interface `DocumentRoot`
  Parameters:
    `newClassificationFilter` - the new value of the 'Classification Filter' containment reference.
  See Also:
    `DocumentRoot.getClassificationFilter()`

### getClassificationNodeChildrenBranch

    public ClassificationNodeQueryType getClassificationNodeChildrenBranch()

  Specified by:
    `getClassificationNodeChildrenBranch` in interface `DocumentRoot`
  Returns:
    the value of the 'Classification Node Children Branch' containment reference.
  See Also:
    `DocumentRoot.setClassificationNodeChildrenBranch(ClassificationNodeQueryType)`, `QueryPackage.getDocumentRoot_ClassificationNodeChildrenBranch()`

### basicSetClassificationNodeChildrenBranch

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationNodeChildrenBranch(ClassificationNodeQueryType newClassificationNodeChildrenBranch,
                                                                                                    org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationNodeChildrenBranch

    public void setClassificationNodeChildrenBranch(ClassificationNodeQueryType newClassificationNodeChildrenBranch)

  Specified by:
    `setClassificationNodeChildrenBranch` in interface `DocumentRoot`
  Parameters:
    `newClassificationNodeChildrenBranch` - the new value of the 'Classification Node Children Branch' containment reference.
  See Also:
    `DocumentRoot.getClassificationNodeChildrenBranch()`

### getClassificationNodeFilter

    public FilterType getClassificationNodeFilter()

  Specified by:
    `getClassificationNodeFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Classification Node Filter' containment reference.
  See Also:
    `DocumentRoot.setClassificationNodeFilter(FilterType)`, `QueryPackage.getDocumentRoot_ClassificationNodeFilter()`

### basicSetClassificationNodeFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationNodeFilter(FilterType newClassificationNodeFilter,
                                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationNodeFilter

    public void setClassificationNodeFilter(FilterType newClassificationNodeFilter)

  Specified by:
    `setClassificationNodeFilter` in interface `DocumentRoot`
  Parameters:
    `newClassificationNodeFilter` - the new value of the 'Classification Node Filter' containment reference.
  See Also:
    `DocumentRoot.getClassificationNodeFilter()`

### getClassificationNodeParentBranch

    public ClassificationNodeQueryType getClassificationNodeParentBranch()

  Specified by:
    `getClassificationNodeParentBranch` in interface `DocumentRoot`
  Returns:
    the value of the 'Classification Node Parent Branch' containment reference.
  See Also:
    `DocumentRoot.setClassificationNodeParentBranch(ClassificationNodeQueryType)`, `QueryPackage.getDocumentRoot_ClassificationNodeParentBranch()`

### basicSetClassificationNodeParentBranch

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationNodeParentBranch(ClassificationNodeQueryType newClassificationNodeParentBranch,
                                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationNodeParentBranch

    public void setClassificationNodeParentBranch(ClassificationNodeQueryType newClassificationNodeParentBranch)

  Specified by:
    `setClassificationNodeParentBranch` in interface `DocumentRoot`
  Parameters:
    `newClassificationNodeParentBranch` - the new value of the 'Classification Node Parent Branch' containment reference.
  See Also:
    `DocumentRoot.getClassificationNodeParentBranch()`

### getClassificationNodeQuery

    public ClassificationNodeQueryType getClassificationNodeQuery()

  Specified by:
    `getClassificationNodeQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Classification Node Query' containment reference.
  See Also:
    `DocumentRoot.setClassificationNodeQuery(ClassificationNodeQueryType)`, `QueryPackage.getDocumentRoot_ClassificationNodeQuery()`

### basicSetClassificationNodeQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationNodeQuery(ClassificationNodeQueryType newClassificationNodeQuery,
                                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationNodeQuery

    public void setClassificationNodeQuery(ClassificationNodeQueryType newClassificationNodeQuery)

  Specified by:
    `setClassificationNodeQuery` in interface `DocumentRoot`
  Parameters:
    `newClassificationNodeQuery` - the new value of the 'Classification Node Query' containment reference.
  See Also:
    `DocumentRoot.getClassificationNodeQuery()`

### getClassificationNodeQueryResult

    public ClassificationNodeQueryResultType getClassificationNodeQueryResult()

  Specified by:
    `getClassificationNodeQueryResult` in interface `DocumentRoot`
  Returns:
    the value of the 'Classification Node Query Result' containment reference.
  See Also:
    `DocumentRoot.setClassificationNodeQueryResult(ClassificationNodeQueryResultType)`, `QueryPackage.getDocumentRoot_ClassificationNodeQueryResult()`

### basicSetClassificationNodeQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationNodeQueryResult(ClassificationNodeQueryResultType newClassificationNodeQueryResult,
                                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationNodeQueryResult

    public void setClassificationNodeQueryResult(ClassificationNodeQueryResultType newClassificationNodeQueryResult)

  Specified by:
    `setClassificationNodeQueryResult` in interface `DocumentRoot`
  Parameters:
    `newClassificationNodeQueryResult` - the new value of the 'Classification Node Query Result' containment reference.
  See Also:
    `DocumentRoot.getClassificationNodeQueryResult()`

### getClassificationQuery

    public ClassificationQueryType getClassificationQuery()

  Specified by:
    `getClassificationQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Classification Query' containment reference.
  See Also:
    `DocumentRoot.setClassificationQuery(ClassificationQueryType)`, `QueryPackage.getDocumentRoot_ClassificationQuery()`

### basicSetClassificationQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationQuery(ClassificationQueryType newClassificationQuery,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationQuery

    public void setClassificationQuery(ClassificationQueryType newClassificationQuery)

  Specified by:
    `setClassificationQuery` in interface `DocumentRoot`
  Parameters:
    `newClassificationQuery` - the new value of the 'Classification Query' containment reference.
  See Also:
    `DocumentRoot.getClassificationQuery()`

### getClassificationQueryResult

    public ClassificationQueryResultType getClassificationQueryResult()

  Specified by:
    `getClassificationQueryResult` in interface `DocumentRoot`
  Returns:
    the value of the 'Classification Query Result' containment reference.
  See Also:
    `DocumentRoot.setClassificationQueryResult(ClassificationQueryResultType)`, `QueryPackage.getDocumentRoot_ClassificationQueryResult()`

### basicSetClassificationQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationQueryResult(ClassificationQueryResultType newClassificationQueryResult,
                                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationQueryResult

    public void setClassificationQueryResult(ClassificationQueryResultType newClassificationQueryResult)

  Specified by:
    `setClassificationQueryResult` in interface `DocumentRoot`
  Parameters:
    `newClassificationQueryResult` - the new value of the 'Classification Query Result' containment reference.
  See Also:
    `DocumentRoot.getClassificationQueryResult()`

### getClassificationSchemeFilter

    public FilterType getClassificationSchemeFilter()

  Specified by:
    `getClassificationSchemeFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Classification Scheme Filter' containment reference.
  See Also:
    `DocumentRoot.setClassificationSchemeFilter(FilterType)`, `QueryPackage.getDocumentRoot_ClassificationSchemeFilter()`

### basicSetClassificationSchemeFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationSchemeFilter(FilterType newClassificationSchemeFilter,
                                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationSchemeFilter

    public void setClassificationSchemeFilter(FilterType newClassificationSchemeFilter)

  Specified by:
    `setClassificationSchemeFilter` in interface `DocumentRoot`
  Parameters:
    `newClassificationSchemeFilter` - the new value of the 'Classification Scheme Filter' containment reference.
  See Also:
    `DocumentRoot.getClassificationSchemeFilter()`

### getClassificationSchemeQuery

    public ClassificationSchemeQueryType getClassificationSchemeQuery()

  Specified by:
    `getClassificationSchemeQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Classification Scheme Query' containment reference.
  See Also:
    `DocumentRoot.setClassificationSchemeQuery(ClassificationSchemeQueryType)`, `QueryPackage.getDocumentRoot_ClassificationSchemeQuery()`

### basicSetClassificationSchemeQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationSchemeQuery(ClassificationSchemeQueryType newClassificationSchemeQuery,
                                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationSchemeQuery

    public void setClassificationSchemeQuery(ClassificationSchemeQueryType newClassificationSchemeQuery)

  Specified by:
    `setClassificationSchemeQuery` in interface `DocumentRoot`
  Parameters:
    `newClassificationSchemeQuery` - the new value of the 'Classification Scheme Query' containment reference.
  See Also:
    `DocumentRoot.getClassificationSchemeQuery()`

### getClassificationSchemeQueryResult

    public ClassificationSchemeQueryResultType getClassificationSchemeQueryResult()

  Specified by:
    `getClassificationSchemeQueryResult` in interface `DocumentRoot`
  Returns:
    the value of the 'Classification Scheme Query Result' containment reference.
  See Also:
    `DocumentRoot.setClassificationSchemeQueryResult(ClassificationSchemeQueryResultType)`, `QueryPackage.getDocumentRoot_ClassificationSchemeQueryResult()`

### basicSetClassificationSchemeQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationSchemeQueryResult(ClassificationSchemeQueryResultType newClassificationSchemeQueryResult,
                                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationSchemeQueryResult

    public void setClassificationSchemeQueryResult(ClassificationSchemeQueryResultType newClassificationSchemeQueryResult)

  Specified by:
    `setClassificationSchemeQueryResult` in interface `DocumentRoot`
  Parameters:
    `newClassificationSchemeQueryResult` - the new value of the 'Classification Scheme Query Result' containment reference.
  See Also:
    `DocumentRoot.getClassificationSchemeQueryResult()`

### getClassifiedByBranch

    public ClassifiedByBranchType getClassifiedByBranch()

  Specified by:
    `getClassifiedByBranch` in interface `DocumentRoot`
  Returns:
    the value of the 'Classified By Branch' containment reference.
  See Also:
    `DocumentRoot.setClassifiedByBranch(ClassifiedByBranchType)`, `QueryPackage.getDocumentRoot_ClassifiedByBranch()`

### basicSetClassifiedByBranch

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassifiedByBranch(ClassifiedByBranchType newClassifiedByBranch,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassifiedByBranch

    public void setClassifiedByBranch(ClassifiedByBranchType newClassifiedByBranch)

  Specified by:
    `setClassifiedByBranch` in interface `DocumentRoot`
  Parameters:
    `newClassifiedByBranch` - the new value of the 'Classified By Branch' containment reference.
  See Also:
    `DocumentRoot.getClassifiedByBranch()`

### getClause

    public ClauseType getClause()

  Specified by:
    `getClause` in interface `DocumentRoot`
  Returns:
    the value of the 'Clause' containment reference.
  See Also:
    `DocumentRoot.setClause(ClauseType)`, `QueryPackage.getDocumentRoot_Clause()`

### basicSetClause

    public org.eclipse.emf.common.notify.NotificationChain basicSetClause(ClauseType newClause,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setClause

    public void setClause(ClauseType newClause)

  Specified by:
    `setClause` in interface `DocumentRoot`
  Parameters:
    `newClause` - the new value of the 'Clause' containment reference.
  See Also:
    `DocumentRoot.getClause()`

### getCompoundClause

    public CompoundClauseType getCompoundClause()

  Specified by:
    `getCompoundClause` in interface `DocumentRoot`
  Returns:
    the value of the 'Compound Clause' containment reference.
  See Also:
    `DocumentRoot.setCompoundClause(CompoundClauseType)`, `QueryPackage.getDocumentRoot_CompoundClause()`

### basicSetCompoundClause

    public org.eclipse.emf.common.notify.NotificationChain basicSetCompoundClause(CompoundClauseType newCompoundClause,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setCompoundClause

    public void setCompoundClause(CompoundClauseType newCompoundClause)

  Specified by:
    `setCompoundClause` in interface `DocumentRoot`
  Parameters:
    `newCompoundClause` - the new value of the 'Compound Clause' containment reference.
  See Also:
    `DocumentRoot.getCompoundClause()`

### getDateTimeClause

    public java.lang.Object getDateTimeClause()

  Specified by:
    `getDateTimeClause` in interface `DocumentRoot`
  Returns:
    the value of the 'Date Time Clause' attribute.
  See Also:
    `DocumentRoot.setDateTimeClause(Object)`, `QueryPackage.getDocumentRoot_DateTimeClause()`

### setDateTimeClause

    public void setDateTimeClause(java.lang.Object newDateTimeClause)

  Specified by:
    `setDateTimeClause` in interface `DocumentRoot`
  Parameters:
    `newDateTimeClause` - the new value of the 'Date Time Clause' attribute.
  See Also:
    `DocumentRoot.getDateTimeClause()`

### getDescriptionBranch

    public InternationalStringBranchType getDescriptionBranch()

  Specified by:
    `getDescriptionBranch` in interface `DocumentRoot`
  Returns:
    the value of the 'Description Branch' containment reference.
  See Also:
    `DocumentRoot.setDescriptionBranch(InternationalStringBranchType)`, `QueryPackage.getDocumentRoot_DescriptionBranch()`

### basicSetDescriptionBranch

    public org.eclipse.emf.common.notify.NotificationChain basicSetDescriptionBranch(InternationalStringBranchType newDescriptionBranch,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setDescriptionBranch

    public void setDescriptionBranch(InternationalStringBranchType newDescriptionBranch)

  Specified by:
    `setDescriptionBranch` in interface `DocumentRoot`
  Parameters:
    `newDescriptionBranch` - the new value of the 'Description Branch' containment reference.
  See Also:
    `DocumentRoot.getDescriptionBranch()`

### getEmailAddressFilter

    public FilterType getEmailAddressFilter()

  Specified by:
    `getEmailAddressFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Email Address Filter' containment reference.
  See Also:
    `DocumentRoot.setEmailAddressFilter(FilterType)`, `QueryPackage.getDocumentRoot_EmailAddressFilter()`

### basicSetEmailAddressFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetEmailAddressFilter(FilterType newEmailAddressFilter,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setEmailAddressFilter

    public void setEmailAddressFilter(FilterType newEmailAddressFilter)

  Specified by:
    `setEmailAddressFilter` in interface `DocumentRoot`
  Parameters:
    `newEmailAddressFilter` - the new value of the 'Email Address Filter' containment reference.
  See Also:
    `DocumentRoot.getEmailAddressFilter()`

### getExternalIdentifierFilter

    public FilterType getExternalIdentifierFilter()

  Specified by:
    `getExternalIdentifierFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'External Identifier Filter' containment reference.
  See Also:
    `DocumentRoot.setExternalIdentifierFilter(FilterType)`, `QueryPackage.getDocumentRoot_ExternalIdentifierFilter()`

### basicSetExternalIdentifierFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetExternalIdentifierFilter(FilterType newExternalIdentifierFilter,
                                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setExternalIdentifierFilter

    public void setExternalIdentifierFilter(FilterType newExternalIdentifierFilter)

  Specified by:
    `setExternalIdentifierFilter` in interface `DocumentRoot`
  Parameters:
    `newExternalIdentifierFilter` - the new value of the 'External Identifier Filter' containment reference.
  See Also:
    `DocumentRoot.getExternalIdentifierFilter()`

### getExternalLinkFilter

    public FilterType getExternalLinkFilter()

  Specified by:
    `getExternalLinkFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'External Link Filter' containment reference.
  See Also:
    `DocumentRoot.setExternalLinkFilter(FilterType)`, `QueryPackage.getDocumentRoot_ExternalLinkFilter()`

### basicSetExternalLinkFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetExternalLinkFilter(FilterType newExternalLinkFilter,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setExternalLinkFilter

    public void setExternalLinkFilter(FilterType newExternalLinkFilter)

  Specified by:
    `setExternalLinkFilter` in interface `DocumentRoot`
  Parameters:
    `newExternalLinkFilter` - the new value of the 'External Link Filter' containment reference.
  See Also:
    `DocumentRoot.getExternalLinkFilter()`

### getExtrinsicObjectFilter

    public FilterType getExtrinsicObjectFilter()

  Specified by:
    `getExtrinsicObjectFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Extrinsic Object Filter' containment reference.
  See Also:
    `DocumentRoot.setExtrinsicObjectFilter(FilterType)`, `QueryPackage.getDocumentRoot_ExtrinsicObjectFilter()`

### basicSetExtrinsicObjectFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetExtrinsicObjectFilter(FilterType newExtrinsicObjectFilter,
                                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setExtrinsicObjectFilter

    public void setExtrinsicObjectFilter(FilterType newExtrinsicObjectFilter)

  Specified by:
    `setExtrinsicObjectFilter` in interface `DocumentRoot`
  Parameters:
    `newExtrinsicObjectFilter` - the new value of the 'Extrinsic Object Filter' containment reference.
  See Also:
    `DocumentRoot.getExtrinsicObjectFilter()`

### getExtrinsicObjectQuery

    public ExtrinsicObjectQueryType getExtrinsicObjectQuery()

  Specified by:
    `getExtrinsicObjectQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Extrinsic Object Query' containment reference.
  See Also:
    `DocumentRoot.setExtrinsicObjectQuery(ExtrinsicObjectQueryType)`, `QueryPackage.getDocumentRoot_ExtrinsicObjectQuery()`

### basicSetExtrinsicObjectQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetExtrinsicObjectQuery(ExtrinsicObjectQueryType newExtrinsicObjectQuery,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setExtrinsicObjectQuery

    public void setExtrinsicObjectQuery(ExtrinsicObjectQueryType newExtrinsicObjectQuery)

  Specified by:
    `setExtrinsicObjectQuery` in interface `DocumentRoot`
  Parameters:
    `newExtrinsicObjectQuery` - the new value of the 'Extrinsic Object Query' containment reference.
  See Also:
    `DocumentRoot.getExtrinsicObjectQuery()`

### getExtrinsicObjectQueryResult

    public ExtrinsicObjectQueryResultType getExtrinsicObjectQueryResult()

  Specified by:
    `getExtrinsicObjectQueryResult` in interface `DocumentRoot`
  Returns:
    the value of the 'Extrinsic Object Query Result' containment reference.
  See Also:
    `DocumentRoot.setExtrinsicObjectQueryResult(ExtrinsicObjectQueryResultType)`, `QueryPackage.getDocumentRoot_ExtrinsicObjectQueryResult()`

### basicSetExtrinsicObjectQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetExtrinsicObjectQueryResult(ExtrinsicObjectQueryResultType newExtrinsicObjectQueryResult,
                                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setExtrinsicObjectQueryResult

    public void setExtrinsicObjectQueryResult(ExtrinsicObjectQueryResultType newExtrinsicObjectQueryResult)

  Specified by:
    `setExtrinsicObjectQueryResult` in interface `DocumentRoot`
  Parameters:
    `newExtrinsicObjectQueryResult` - the new value of the 'Extrinsic Object Query Result' containment reference.
  See Also:
    `DocumentRoot.getExtrinsicObjectQueryResult()`

### getFilterQuery

    public FilterQueryType getFilterQuery()

  Specified by:
    `getFilterQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Filter Query' containment reference.
  See Also:
    `DocumentRoot.setFilterQuery(FilterQueryType)`, `QueryPackage.getDocumentRoot_FilterQuery()`

### basicSetFilterQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetFilterQuery(FilterQueryType newFilterQuery,
                                                                               org.eclipse.emf.common.notify.NotificationChain msgs)

### setFilterQuery

    public void setFilterQuery(FilterQueryType newFilterQuery)

  Specified by:
    `setFilterQuery` in interface `DocumentRoot`
  Parameters:
    `newFilterQuery` - the new value of the 'Filter Query' containment reference.
  See Also:
    `DocumentRoot.getFilterQuery()`

### getFilterQueryResult

    public FilterQueryResultType getFilterQueryResult()

  Specified by:
    `getFilterQueryResult` in interface `DocumentRoot`
  Returns:
    the value of the 'Filter Query Result' containment reference.
  See Also:
    `DocumentRoot.setFilterQueryResult(FilterQueryResultType)`, `QueryPackage.getDocumentRoot_FilterQueryResult()`

### basicSetFilterQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetFilterQueryResult(FilterQueryResultType newFilterQueryResult,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setFilterQueryResult

    public void setFilterQueryResult(FilterQueryResultType newFilterQueryResult)

  Specified by:
    `setFilterQueryResult` in interface `DocumentRoot`
  Parameters:
    `newFilterQueryResult` - the new value of the 'Filter Query Result' containment reference.
  See Also:
    `DocumentRoot.getFilterQueryResult()`

### getFloatClause

    public float getFloatClause()

  Specified by:
    `getFloatClause` in interface `DocumentRoot`
  Returns:
    the value of the 'Float Clause' attribute.
  See Also:
    `DocumentRoot.setFloatClause(float)`, `QueryPackage.getDocumentRoot_FloatClause()`

### setFloatClause

    public void setFloatClause(float newFloatClause)

  Specified by:
    `setFloatClause` in interface `DocumentRoot`
  Parameters:
    `newFloatClause` - the new value of the 'Float Clause' attribute.
  See Also:
    `DocumentRoot.getFloatClause()`

### getGetContentRequest

    public GetContentRequestType getGetContentRequest()

  Specified by:
    `getGetContentRequest` in interface `DocumentRoot`
  Returns:
    the value of the 'Get Content Request' containment reference.
  See Also:
    `DocumentRoot.setGetContentRequest(GetContentRequestType)`, `QueryPackage.getDocumentRoot_GetContentRequest()`

### basicSetGetContentRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetGetContentRequest(GetContentRequestType newGetContentRequest,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setGetContentRequest

    public void setGetContentRequest(GetContentRequestType newGetContentRequest)

  Specified by:
    `setGetContentRequest` in interface `DocumentRoot`
  Parameters:
    `newGetContentRequest` - the new value of the 'Get Content Request' containment reference.
  See Also:
    `DocumentRoot.getGetContentRequest()`

### getGetContentResponse

    public GetContentResponseType getGetContentResponse()

  Specified by:
    `getGetContentResponse` in interface `DocumentRoot`
  Returns:
    the value of the 'Get Content Response' containment reference.
  See Also:
    `DocumentRoot.setGetContentResponse(GetContentResponseType)`, `QueryPackage.getDocumentRoot_GetContentResponse()`

### basicSetGetContentResponse

    public org.eclipse.emf.common.notify.NotificationChain basicSetGetContentResponse(GetContentResponseType newGetContentResponse,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setGetContentResponse

    public void setGetContentResponse(GetContentResponseType newGetContentResponse)

  Specified by:
    `setGetContentResponse` in interface `DocumentRoot`
  Parameters:
    `newGetContentResponse` - the new value of the 'Get Content Response' containment reference.
  See Also:
    `DocumentRoot.getGetContentResponse()`

### getIntClause

    public java.math.BigInteger getIntClause()

  Specified by:
    `getIntClause` in interface `DocumentRoot`
  Returns:
    the value of the 'Int Clause' attribute.
  See Also:
    `DocumentRoot.setIntClause(BigInteger)`, `QueryPackage.getDocumentRoot_IntClause()`

### setIntClause

    public void setIntClause(java.math.BigInteger newIntClause)

  Specified by:
    `setIntClause` in interface `DocumentRoot`
  Parameters:
    `newIntClause` - the new value of the 'Int Clause' attribute.
  See Also:
    `DocumentRoot.getIntClause()`

### getLocalizedStringFilter

    public FilterType getLocalizedStringFilter()

  Specified by:
    `getLocalizedStringFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Localized String Filter' containment reference.
  See Also:
    `DocumentRoot.setLocalizedStringFilter(FilterType)`, `QueryPackage.getDocumentRoot_LocalizedStringFilter()`

### basicSetLocalizedStringFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetLocalizedStringFilter(FilterType newLocalizedStringFilter,
                                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setLocalizedStringFilter

    public void setLocalizedStringFilter(FilterType newLocalizedStringFilter)

  Specified by:
    `setLocalizedStringFilter` in interface `DocumentRoot`
  Parameters:
    `newLocalizedStringFilter` - the new value of the 'Localized String Filter' containment reference.
  See Also:
    `DocumentRoot.getLocalizedStringFilter()`

### getNameBranch

    public InternationalStringBranchType getNameBranch()

  Specified by:
    `getNameBranch` in interface `DocumentRoot`
  Returns:
    the value of the 'Name Branch' containment reference.
  See Also:
    `DocumentRoot.setNameBranch(InternationalStringBranchType)`, `QueryPackage.getDocumentRoot_NameBranch()`

### basicSetNameBranch

    public org.eclipse.emf.common.notify.NotificationChain basicSetNameBranch(InternationalStringBranchType newNameBranch,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setNameBranch

    public void setNameBranch(InternationalStringBranchType newNameBranch)

  Specified by:
    `setNameBranch` in interface `DocumentRoot`
  Parameters:
    `newNameBranch` - the new value of the 'Name Branch' containment reference.
  See Also:
    `DocumentRoot.getNameBranch()`

### getOrganizationChildrenBranch

    public OrganizationQueryType getOrganizationChildrenBranch()

  Specified by:
    `getOrganizationChildrenBranch` in interface `DocumentRoot`
  Returns:
    the value of the 'Organization Children Branch' containment reference.
  See Also:
    `DocumentRoot.setOrganizationChildrenBranch(OrganizationQueryType)`, `QueryPackage.getDocumentRoot_OrganizationChildrenBranch()`

### basicSetOrganizationChildrenBranch

    public org.eclipse.emf.common.notify.NotificationChain basicSetOrganizationChildrenBranch(OrganizationQueryType newOrganizationChildrenBranch,
                                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setOrganizationChildrenBranch

    public void setOrganizationChildrenBranch(OrganizationQueryType newOrganizationChildrenBranch)

  Specified by:
    `setOrganizationChildrenBranch` in interface `DocumentRoot`
  Parameters:
    `newOrganizationChildrenBranch` - the new value of the 'Organization Children Branch' containment reference.
  See Also:
    `DocumentRoot.getOrganizationChildrenBranch()`

### getOrganizationFilter

    public FilterType getOrganizationFilter()

  Specified by:
    `getOrganizationFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Organization Filter' containment reference.
  See Also:
    `DocumentRoot.setOrganizationFilter(FilterType)`, `QueryPackage.getDocumentRoot_OrganizationFilter()`

### basicSetOrganizationFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetOrganizationFilter(FilterType newOrganizationFilter,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setOrganizationFilter

    public void setOrganizationFilter(FilterType newOrganizationFilter)

  Specified by:
    `setOrganizationFilter` in interface `DocumentRoot`
  Parameters:
    `newOrganizationFilter` - the new value of the 'Organization Filter' containment reference.
  See Also:
    `DocumentRoot.getOrganizationFilter()`

### getOrganizationParentBranch

    public OrganizationQueryType getOrganizationParentBranch()

  Specified by:
    `getOrganizationParentBranch` in interface `DocumentRoot`
  Returns:
    the value of the 'Organization Parent Branch' containment reference.
  See Also:
    `DocumentRoot.setOrganizationParentBranch(OrganizationQueryType)`, `QueryPackage.getDocumentRoot_OrganizationParentBranch()`

### basicSetOrganizationParentBranch

    public org.eclipse.emf.common.notify.NotificationChain basicSetOrganizationParentBranch(OrganizationQueryType newOrganizationParentBranch,
                                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setOrganizationParentBranch

    public void setOrganizationParentBranch(OrganizationQueryType newOrganizationParentBranch)

  Specified by:
    `setOrganizationParentBranch` in interface `DocumentRoot`
  Parameters:
    `newOrganizationParentBranch` - the new value of the 'Organization Parent Branch' containment reference.
  See Also:
    `DocumentRoot.getOrganizationParentBranch()`

### getOrganizationQuery

    public OrganizationQueryType getOrganizationQuery()

  Specified by:
    `getOrganizationQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Organization Query' containment reference.
  See Also:
    `DocumentRoot.setOrganizationQuery(OrganizationQueryType)`, `QueryPackage.getDocumentRoot_OrganizationQuery()`

### basicSetOrganizationQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetOrganizationQuery(OrganizationQueryType newOrganizationQuery,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setOrganizationQuery

    public void setOrganizationQuery(OrganizationQueryType newOrganizationQuery)

  Specified by:
    `setOrganizationQuery` in interface `DocumentRoot`
  Parameters:
    `newOrganizationQuery` - the new value of the 'Organization Query' containment reference.
  See Also:
    `DocumentRoot.getOrganizationQuery()`

### getOrganizationQueryResult

    public OrganizationQueryResultType getOrganizationQueryResult()

  Specified by:
    `getOrganizationQueryResult` in interface `DocumentRoot`
  Returns:
    the value of the 'Organization Query Result' containment reference.
  See Also:
    `DocumentRoot.setOrganizationQueryResult(OrganizationQueryResultType)`, `QueryPackage.getDocumentRoot_OrganizationQueryResult()`

### basicSetOrganizationQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetOrganizationQueryResult(OrganizationQueryResultType newOrganizationQueryResult,
                                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setOrganizationQueryResult

    public void setOrganizationQueryResult(OrganizationQueryResultType newOrganizationQueryResult)

  Specified by:
    `setOrganizationQueryResult` in interface `DocumentRoot`
  Parameters:
    `newOrganizationQueryResult` - the new value of the 'Organization Query Result' containment reference.
  See Also:
    `DocumentRoot.getOrganizationQueryResult()`

### getPostalAddressFilter

    public FilterType getPostalAddressFilter()

  Specified by:
    `getPostalAddressFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Postal Address Filter' containment reference.
  See Also:
    `DocumentRoot.setPostalAddressFilter(FilterType)`, `QueryPackage.getDocumentRoot_PostalAddressFilter()`

### basicSetPostalAddressFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetPostalAddressFilter(FilterType newPostalAddressFilter,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setPostalAddressFilter

    public void setPostalAddressFilter(FilterType newPostalAddressFilter)

  Specified by:
    `setPostalAddressFilter` in interface `DocumentRoot`
  Parameters:
    `newPostalAddressFilter` - the new value of the 'Postal Address Filter' containment reference.
  See Also:
    `DocumentRoot.getPostalAddressFilter()`

### getRationalClause

    public RationalClauseType getRationalClause()

  Specified by:
    `getRationalClause` in interface `DocumentRoot`
  Returns:
    the value of the 'Rational Clause' containment reference.
  See Also:
    `DocumentRoot.setRationalClause(RationalClauseType)`, `QueryPackage.getDocumentRoot_RationalClause()`

### basicSetRationalClause

    public org.eclipse.emf.common.notify.NotificationChain basicSetRationalClause(RationalClauseType newRationalClause,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setRationalClause

    public void setRationalClause(RationalClauseType newRationalClause)

  Specified by:
    `setRationalClause` in interface `DocumentRoot`
  Parameters:
    `newRationalClause` - the new value of the 'Rational Clause' containment reference.
  See Also:
    `DocumentRoot.getRationalClause()`

### getRegistryEntryFilter

    public FilterType getRegistryEntryFilter()

  Specified by:
    `getRegistryEntryFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Registry Entry Filter' containment reference.
  See Also:
    `DocumentRoot.setRegistryEntryFilter(FilterType)`, `QueryPackage.getDocumentRoot_RegistryEntryFilter()`

### basicSetRegistryEntryFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryEntryFilter(FilterType newRegistryEntryFilter,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryEntryFilter

    public void setRegistryEntryFilter(FilterType newRegistryEntryFilter)

  Specified by:
    `setRegistryEntryFilter` in interface `DocumentRoot`
  Parameters:
    `newRegistryEntryFilter` - the new value of the 'Registry Entry Filter' containment reference.
  See Also:
    `DocumentRoot.getRegistryEntryFilter()`

### getRegistryEntryQuery

    public RegistryEntryQueryType getRegistryEntryQuery()

  Specified by:
    `getRegistryEntryQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Registry Entry Query' containment reference.
  See Also:
    `DocumentRoot.setRegistryEntryQuery(RegistryEntryQueryType)`, `QueryPackage.getDocumentRoot_RegistryEntryQuery()`

### basicSetRegistryEntryQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryEntryQuery(RegistryEntryQueryType newRegistryEntryQuery,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryEntryQuery

    public void setRegistryEntryQuery(RegistryEntryQueryType newRegistryEntryQuery)

  Specified by:
    `setRegistryEntryQuery` in interface `DocumentRoot`
  Parameters:
    `newRegistryEntryQuery` - the new value of the 'Registry Entry Query' containment reference.
  See Also:
    `DocumentRoot.getRegistryEntryQuery()`

### getRegistryEntryQueryResult

    public RegistryEntryQueryResultType getRegistryEntryQueryResult()

  Specified by:
    `getRegistryEntryQueryResult` in interface `DocumentRoot`
  Returns:
    the value of the 'Registry Entry Query Result' containment reference.
  See Also:
    `DocumentRoot.setRegistryEntryQueryResult(RegistryEntryQueryResultType)`, `QueryPackage.getDocumentRoot_RegistryEntryQueryResult()`

### basicSetRegistryEntryQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryEntryQueryResult(RegistryEntryQueryResultType newRegistryEntryQueryResult,
                                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryEntryQueryResult

    public void setRegistryEntryQueryResult(RegistryEntryQueryResultType newRegistryEntryQueryResult)

  Specified by:
    `setRegistryEntryQueryResult` in interface `DocumentRoot`
  Parameters:
    `newRegistryEntryQueryResult` - the new value of the 'Registry Entry Query Result' containment reference.
  See Also:
    `DocumentRoot.getRegistryEntryQueryResult()`

### getRegistryObjectFilter

    public FilterType getRegistryObjectFilter()

  Specified by:
    `getRegistryObjectFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Registry Object Filter' containment reference.
  See Also:
    `DocumentRoot.setRegistryObjectFilter(FilterType)`, `QueryPackage.getDocumentRoot_RegistryObjectFilter()`

### basicSetRegistryObjectFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryObjectFilter(FilterType newRegistryObjectFilter,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryObjectFilter

    public void setRegistryObjectFilter(FilterType newRegistryObjectFilter)

  Specified by:
    `setRegistryObjectFilter` in interface `DocumentRoot`
  Parameters:
    `newRegistryObjectFilter` - the new value of the 'Registry Object Filter' containment reference.
  See Also:
    `DocumentRoot.getRegistryObjectFilter()`

### getRegistryObjectQuery

    public RegistryObjectQueryType getRegistryObjectQuery()

  Specified by:
    `getRegistryObjectQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Registry Object Query' containment reference.
  See Also:
    `DocumentRoot.setRegistryObjectQuery(RegistryObjectQueryType)`, `QueryPackage.getDocumentRoot_RegistryObjectQuery()`

### basicSetRegistryObjectQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryObjectQuery(RegistryObjectQueryType newRegistryObjectQuery,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryObjectQuery

    public void setRegistryObjectQuery(RegistryObjectQueryType newRegistryObjectQuery)

  Specified by:
    `setRegistryObjectQuery` in interface `DocumentRoot`
  Parameters:
    `newRegistryObjectQuery` - the new value of the 'Registry Object Query' containment reference.
  See Also:
    `DocumentRoot.getRegistryObjectQuery()`

### getRegistryObjectQueryResult

    public RegistryObjectListType getRegistryObjectQueryResult()

  Specified by:
    `getRegistryObjectQueryResult` in interface `DocumentRoot`
  Returns:
    the value of the 'Registry Object Query Result' containment reference.
  See Also:
    `DocumentRoot.setRegistryObjectQueryResult(RegistryObjectListType)`, `QueryPackage.getDocumentRoot_RegistryObjectQueryResult()`

### basicSetRegistryObjectQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryObjectQueryResult(RegistryObjectListType newRegistryObjectQueryResult,
                                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryObjectQueryResult

    public void setRegistryObjectQueryResult(RegistryObjectListType newRegistryObjectQueryResult)

  Specified by:
    `setRegistryObjectQueryResult` in interface `DocumentRoot`
  Parameters:
    `newRegistryObjectQueryResult` - the new value of the 'Registry Object Query Result' containment reference.
  See Also:
    `DocumentRoot.getRegistryObjectQueryResult()`

### getRegistryPackageFilter

    public FilterType getRegistryPackageFilter()

  Specified by:
    `getRegistryPackageFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Registry Package Filter' containment reference.
  See Also:
    `DocumentRoot.setRegistryPackageFilter(FilterType)`, `QueryPackage.getDocumentRoot_RegistryPackageFilter()`

### basicSetRegistryPackageFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryPackageFilter(FilterType newRegistryPackageFilter,
                                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryPackageFilter

    public void setRegistryPackageFilter(FilterType newRegistryPackageFilter)

  Specified by:
    `setRegistryPackageFilter` in interface `DocumentRoot`
  Parameters:
    `newRegistryPackageFilter` - the new value of the 'Registry Package Filter' containment reference.
  See Also:
    `DocumentRoot.getRegistryPackageFilter()`

### getRegistryPackageQuery

    public RegistryPackageQueryType getRegistryPackageQuery()

  Specified by:
    `getRegistryPackageQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Registry Package Query' containment reference.
  See Also:
    `DocumentRoot.setRegistryPackageQuery(RegistryPackageQueryType)`, `QueryPackage.getDocumentRoot_RegistryPackageQuery()`

### basicSetRegistryPackageQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryPackageQuery(RegistryPackageQueryType newRegistryPackageQuery,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryPackageQuery

    public void setRegistryPackageQuery(RegistryPackageQueryType newRegistryPackageQuery)

  Specified by:
    `setRegistryPackageQuery` in interface `DocumentRoot`
  Parameters:
    `newRegistryPackageQuery` - the new value of the 'Registry Package Query' containment reference.
  See Also:
    `DocumentRoot.getRegistryPackageQuery()`

### getRegistryPackageQueryResult

    public RegistryPackageQueryResultType getRegistryPackageQueryResult()

  Specified by:
    `getRegistryPackageQueryResult` in interface `DocumentRoot`
  Returns:
    the value of the 'Registry Package Query Result' containment reference.
  See Also:
    `DocumentRoot.setRegistryPackageQueryResult(RegistryPackageQueryResultType)`, `QueryPackage.getDocumentRoot_RegistryPackageQueryResult()`

### basicSetRegistryPackageQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryPackageQueryResult(RegistryPackageQueryResultType newRegistryPackageQueryResult,
                                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryPackageQueryResult

    public void setRegistryPackageQueryResult(RegistryPackageQueryResultType newRegistryPackageQueryResult)

  Specified by:
    `setRegistryPackageQueryResult` in interface `DocumentRoot`
  Parameters:
    `newRegistryPackageQueryResult` - the new value of the 'Registry Package Query Result' containment reference.
  See Also:
    `DocumentRoot.getRegistryPackageQueryResult()`

### getResponseOption

    public ResponseOptionType getResponseOption()

  Specified by:
    `getResponseOption` in interface `DocumentRoot`
  Returns:
    the value of the 'Response Option' containment reference.
  See Also:
    `DocumentRoot.setResponseOption(ResponseOptionType)`, `QueryPackage.getDocumentRoot_ResponseOption()`

### basicSetResponseOption

    public org.eclipse.emf.common.notify.NotificationChain basicSetResponseOption(ResponseOptionType newResponseOption,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setResponseOption

    public void setResponseOption(ResponseOptionType newResponseOption)

  Specified by:
    `setResponseOption` in interface `DocumentRoot`
  Parameters:
    `newResponseOption` - the new value of the 'Response Option' containment reference.
  See Also:
    `DocumentRoot.getResponseOption()`

### getServiceBindingBranch

    public ServiceBindingBranchType getServiceBindingBranch()

  Specified by:
    `getServiceBindingBranch` in interface `DocumentRoot`
  Returns:
    the value of the 'Service Binding Branch' containment reference.
  See Also:
    `DocumentRoot.setServiceBindingBranch(ServiceBindingBranchType)`, `QueryPackage.getDocumentRoot_ServiceBindingBranch()`

### basicSetServiceBindingBranch

    public org.eclipse.emf.common.notify.NotificationChain basicSetServiceBindingBranch(ServiceBindingBranchType newServiceBindingBranch,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setServiceBindingBranch

    public void setServiceBindingBranch(ServiceBindingBranchType newServiceBindingBranch)

  Specified by:
    `setServiceBindingBranch` in interface `DocumentRoot`
  Parameters:
    `newServiceBindingBranch` - the new value of the 'Service Binding Branch' containment reference.
  See Also:
    `DocumentRoot.getServiceBindingBranch()`

### getServiceBindingFilter

    public FilterType getServiceBindingFilter()

  Specified by:
    `getServiceBindingFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Service Binding Filter' containment reference.
  See Also:
    `DocumentRoot.setServiceBindingFilter(FilterType)`, `QueryPackage.getDocumentRoot_ServiceBindingFilter()`

### basicSetServiceBindingFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetServiceBindingFilter(FilterType newServiceBindingFilter,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setServiceBindingFilter

    public void setServiceBindingFilter(FilterType newServiceBindingFilter)

  Specified by:
    `setServiceBindingFilter` in interface `DocumentRoot`
  Parameters:
    `newServiceBindingFilter` - the new value of the 'Service Binding Filter' containment reference.
  See Also:
    `DocumentRoot.getServiceBindingFilter()`

### getServiceBindingTargetBranch

    public ServiceBindingBranchType getServiceBindingTargetBranch()

  Specified by:
    `getServiceBindingTargetBranch` in interface `DocumentRoot`
  Returns:
    the value of the 'Service Binding Target Branch' containment reference.
  See Also:
    `DocumentRoot.setServiceBindingTargetBranch(ServiceBindingBranchType)`, `QueryPackage.getDocumentRoot_ServiceBindingTargetBranch()`

### basicSetServiceBindingTargetBranch

    public org.eclipse.emf.common.notify.NotificationChain basicSetServiceBindingTargetBranch(ServiceBindingBranchType newServiceBindingTargetBranch,
                                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setServiceBindingTargetBranch

    public void setServiceBindingTargetBranch(ServiceBindingBranchType newServiceBindingTargetBranch)

  Specified by:
    `setServiceBindingTargetBranch` in interface `DocumentRoot`
  Parameters:
    `newServiceBindingTargetBranch` - the new value of the 'Service Binding Target Branch' containment reference.
  See Also:
    `DocumentRoot.getServiceBindingTargetBranch()`

### getServiceFilter

    public FilterType getServiceFilter()

  Specified by:
    `getServiceFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Service Filter' containment reference.
  See Also:
    `DocumentRoot.setServiceFilter(FilterType)`, `QueryPackage.getDocumentRoot_ServiceFilter()`

### basicSetServiceFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetServiceFilter(FilterType newServiceFilter,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

### setServiceFilter

    public void setServiceFilter(FilterType newServiceFilter)

  Specified by:
    `setServiceFilter` in interface `DocumentRoot`
  Parameters:
    `newServiceFilter` - the new value of the 'Service Filter' containment reference.
  See Also:
    `DocumentRoot.getServiceFilter()`

### getServiceQuery

    public ServiceQueryType getServiceQuery()

  Specified by:
    `getServiceQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Service Query' containment reference.
  See Also:
    `DocumentRoot.setServiceQuery(ServiceQueryType)`, `QueryPackage.getDocumentRoot_ServiceQuery()`

### basicSetServiceQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetServiceQuery(ServiceQueryType newServiceQuery,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

### setServiceQuery

    public void setServiceQuery(ServiceQueryType newServiceQuery)

  Specified by:
    `setServiceQuery` in interface `DocumentRoot`
  Parameters:
    `newServiceQuery` - the new value of the 'Service Query' containment reference.
  See Also:
    `DocumentRoot.getServiceQuery()`

### getServiceQueryResult

    public ServiceQueryResultType getServiceQueryResult()

  Specified by:
    `getServiceQueryResult` in interface `DocumentRoot`
  Returns:
    the value of the 'Service Query Result' containment reference.
  See Also:
    `DocumentRoot.setServiceQueryResult(ServiceQueryResultType)`, `QueryPackage.getDocumentRoot_ServiceQueryResult()`

### basicSetServiceQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetServiceQueryResult(ServiceQueryResultType newServiceQueryResult,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setServiceQueryResult

    public void setServiceQueryResult(ServiceQueryResultType newServiceQueryResult)

  Specified by:
    `setServiceQueryResult` in interface `DocumentRoot`
  Parameters:
    `newServiceQueryResult` - the new value of the 'Service Query Result' containment reference.
  See Also:
    `DocumentRoot.getServiceQueryResult()`

### getSimpleClause

    public SimpleClauseType getSimpleClause()

  Specified by:
    `getSimpleClause` in interface `DocumentRoot`
  Returns:
    the value of the 'Simple Clause' containment reference.
  See Also:
    `DocumentRoot.setSimpleClause(SimpleClauseType)`, `QueryPackage.getDocumentRoot_SimpleClause()`

### basicSetSimpleClause

    public org.eclipse.emf.common.notify.NotificationChain basicSetSimpleClause(SimpleClauseType newSimpleClause,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

### setSimpleClause

    public void setSimpleClause(SimpleClauseType newSimpleClause)

  Specified by:
    `setSimpleClause` in interface `DocumentRoot`
  Parameters:
    `newSimpleClause` - the new value of the 'Simple Clause' containment reference.
  See Also:
    `DocumentRoot.getSimpleClause()`

### getSlotBranch

    public SlotBranchType getSlotBranch()

  Specified by:
    `getSlotBranch` in interface `DocumentRoot`
  Returns:
    the value of the 'Slot Branch' containment reference.
  See Also:
    `DocumentRoot.setSlotBranch(SlotBranchType)`, `QueryPackage.getDocumentRoot_SlotBranch()`

### basicSetSlotBranch

    public org.eclipse.emf.common.notify.NotificationChain basicSetSlotBranch(SlotBranchType newSlotBranch,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setSlotBranch

    public void setSlotBranch(SlotBranchType newSlotBranch)

  Specified by:
    `setSlotBranch` in interface `DocumentRoot`
  Parameters:
    `newSlotBranch` - the new value of the 'Slot Branch' containment reference.
  See Also:
    `DocumentRoot.getSlotBranch()`

### getSlotFilter

    public FilterType getSlotFilter()

  Specified by:
    `getSlotFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Slot Filter' containment reference.
  See Also:
    `DocumentRoot.setSlotFilter(FilterType)`, `QueryPackage.getDocumentRoot_SlotFilter()`

### basicSetSlotFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetSlotFilter(FilterType newSlotFilter,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setSlotFilter

    public void setSlotFilter(FilterType newSlotFilter)

  Specified by:
    `setSlotFilter` in interface `DocumentRoot`
  Parameters:
    `newSlotFilter` - the new value of the 'Slot Filter' containment reference.
  See Also:
    `DocumentRoot.getSlotFilter()`

### getSlotValueFilter

    public FilterType getSlotValueFilter()

  Specified by:
    `getSlotValueFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Slot Value Filter' containment reference.
  See Also:
    `DocumentRoot.setSlotValueFilter(FilterType)`, `QueryPackage.getDocumentRoot_SlotValueFilter()`

### basicSetSlotValueFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetSlotValueFilter(FilterType newSlotValueFilter,
                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

### setSlotValueFilter

    public void setSlotValueFilter(FilterType newSlotValueFilter)

  Specified by:
    `setSlotValueFilter` in interface `DocumentRoot`
  Parameters:
    `newSlotValueFilter` - the new value of the 'Slot Value Filter' containment reference.
  See Also:
    `DocumentRoot.getSlotValueFilter()`

### getSourceAssociationBranch

    public AssociationBranchType getSourceAssociationBranch()

  Specified by:
    `getSourceAssociationBranch` in interface `DocumentRoot`
  Returns:
    the value of the 'Source Association Branch' containment reference.
  See Also:
    `DocumentRoot.setSourceAssociationBranch(AssociationBranchType)`, `QueryPackage.getDocumentRoot_SourceAssociationBranch()`

### basicSetSourceAssociationBranch

    public org.eclipse.emf.common.notify.NotificationChain basicSetSourceAssociationBranch(AssociationBranchType newSourceAssociationBranch,
                                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setSourceAssociationBranch

    public void setSourceAssociationBranch(AssociationBranchType newSourceAssociationBranch)

  Specified by:
    `setSourceAssociationBranch` in interface `DocumentRoot`
  Parameters:
    `newSourceAssociationBranch` - the new value of the 'Source Association Branch' containment reference.
  See Also:
    `DocumentRoot.getSourceAssociationBranch()`

### getSpecificationLinkBranch

    public SpecificationLinkBranchType getSpecificationLinkBranch()

  Specified by:
    `getSpecificationLinkBranch` in interface `DocumentRoot`
  Returns:
    the value of the 'Specification Link Branch' containment reference.
  See Also:
    `DocumentRoot.setSpecificationLinkBranch(SpecificationLinkBranchType)`, `QueryPackage.getDocumentRoot_SpecificationLinkBranch()`

### basicSetSpecificationLinkBranch

    public org.eclipse.emf.common.notify.NotificationChain basicSetSpecificationLinkBranch(SpecificationLinkBranchType newSpecificationLinkBranch,
                                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setSpecificationLinkBranch

    public void setSpecificationLinkBranch(SpecificationLinkBranchType newSpecificationLinkBranch)

  Specified by:
    `setSpecificationLinkBranch` in interface `DocumentRoot`
  Parameters:
    `newSpecificationLinkBranch` - the new value of the 'Specification Link Branch' containment reference.
  See Also:
    `DocumentRoot.getSpecificationLinkBranch()`

### getSpecificationLinkFilter

    public FilterType getSpecificationLinkFilter()

  Specified by:
    `getSpecificationLinkFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Specification Link Filter' containment reference.
  See Also:
    `DocumentRoot.setSpecificationLinkFilter(FilterType)`, `QueryPackage.getDocumentRoot_SpecificationLinkFilter()`

### basicSetSpecificationLinkFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetSpecificationLinkFilter(FilterType newSpecificationLinkFilter,
                                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setSpecificationLinkFilter

    public void setSpecificationLinkFilter(FilterType newSpecificationLinkFilter)

  Specified by:
    `setSpecificationLinkFilter` in interface `DocumentRoot`
  Parameters:
    `newSpecificationLinkFilter` - the new value of the 'Specification Link Filter' containment reference.
  See Also:
    `DocumentRoot.getSpecificationLinkFilter()`

### getSqlQuery

    public java.lang.String getSqlQuery()

  Specified by:
    `getSqlQuery` in interface `DocumentRoot`
  Returns:
    the value of the 'Sql Query' attribute.
  See Also:
    `DocumentRoot.setSqlQuery(String)`, `QueryPackage.getDocumentRoot_SqlQuery()`

### setSqlQuery

    public void setSqlQuery(java.lang.String newSqlQuery)

  Specified by:
    `setSqlQuery` in interface `DocumentRoot`
  Parameters:
    `newSqlQuery` - the new value of the 'Sql Query' attribute.
  See Also:
    `DocumentRoot.getSqlQuery()`

### getSqlQueryResult

    public RegistryObjectListType getSqlQueryResult()

  Specified by:
    `getSqlQueryResult` in interface `DocumentRoot`
  Returns:
    the value of the 'Sql Query Result' containment reference.
  See Also:
    `DocumentRoot.setSqlQueryResult(RegistryObjectListType)`, `QueryPackage.getDocumentRoot_SqlQueryResult()`

### basicSetSqlQueryResult

    public org.eclipse.emf.common.notify.NotificationChain basicSetSqlQueryResult(RegistryObjectListType newSqlQueryResult,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setSqlQueryResult

    public void setSqlQueryResult(RegistryObjectListType newSqlQueryResult)

  Specified by:
    `setSqlQueryResult` in interface `DocumentRoot`
  Parameters:
    `newSqlQueryResult` - the new value of the 'Sql Query Result' containment reference.
  See Also:
    `DocumentRoot.getSqlQueryResult()`

### getStringClause

    public StringClauseType getStringClause()

  Specified by:
    `getStringClause` in interface `DocumentRoot`
  Returns:
    the value of the 'String Clause' containment reference.
  See Also:
    `DocumentRoot.setStringClause(StringClauseType)`, `QueryPackage.getDocumentRoot_StringClause()`

### basicSetStringClause

    public org.eclipse.emf.common.notify.NotificationChain basicSetStringClause(StringClauseType newStringClause,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

### setStringClause

    public void setStringClause(StringClauseType newStringClause)

  Specified by:
    `setStringClause` in interface `DocumentRoot`
  Parameters:
    `newStringClause` - the new value of the 'String Clause' containment reference.
  See Also:
    `DocumentRoot.getStringClause()`

### getTargetAssociationBranch

    public AssociationBranchType getTargetAssociationBranch()

  Specified by:
    `getTargetAssociationBranch` in interface `DocumentRoot`
  Returns:
    the value of the 'Target Association Branch' containment reference.
  See Also:
    `DocumentRoot.setTargetAssociationBranch(AssociationBranchType)`, `QueryPackage.getDocumentRoot_TargetAssociationBranch()`

### basicSetTargetAssociationBranch

    public org.eclipse.emf.common.notify.NotificationChain basicSetTargetAssociationBranch(AssociationBranchType newTargetAssociationBranch,
                                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setTargetAssociationBranch

    public void setTargetAssociationBranch(AssociationBranchType newTargetAssociationBranch)

  Specified by:
    `setTargetAssociationBranch` in interface `DocumentRoot`
  Parameters:
    `newTargetAssociationBranch` - the new value of the 'Target Association Branch' containment reference.
  See Also:
    `DocumentRoot.getTargetAssociationBranch()`

### getTelephoneNumberFilter

    public FilterType getTelephoneNumberFilter()

  Specified by:
    `getTelephoneNumberFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'Telephone Number Filter' containment reference.
  See Also:
    `DocumentRoot.setTelephoneNumberFilter(FilterType)`, `QueryPackage.getDocumentRoot_TelephoneNumberFilter()`

### basicSetTelephoneNumberFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetTelephoneNumberFilter(FilterType newTelephoneNumberFilter,
                                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setTelephoneNumberFilter

    public void setTelephoneNumberFilter(FilterType newTelephoneNumberFilter)

  Specified by:
    `setTelephoneNumberFilter` in interface `DocumentRoot`
  Parameters:
    `newTelephoneNumberFilter` - the new value of the 'Telephone Number Filter' containment reference.
  See Also:
    `DocumentRoot.getTelephoneNumberFilter()`

### getUserBranch

    public UserBranchType getUserBranch()

  Specified by:
    `getUserBranch` in interface `DocumentRoot`
  Returns:
    the value of the 'User Branch' containment reference.
  See Also:
    `DocumentRoot.setUserBranch(UserBranchType)`, `QueryPackage.getDocumentRoot_UserBranch()`

### basicSetUserBranch

    public org.eclipse.emf.common.notify.NotificationChain basicSetUserBranch(UserBranchType newUserBranch,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setUserBranch

    public void setUserBranch(UserBranchType newUserBranch)

  Specified by:
    `setUserBranch` in interface `DocumentRoot`
  Parameters:
    `newUserBranch` - the new value of the 'User Branch' containment reference.
  See Also:
    `DocumentRoot.getUserBranch()`

### getUserFilter

    public FilterType getUserFilter()

  Specified by:
    `getUserFilter` in interface `DocumentRoot`
  Returns:
    the value of the 'User Filter' containment reference.
  See Also:
    `DocumentRoot.setUserFilter(FilterType)`, `QueryPackage.getDocumentRoot_UserFilter()`

### basicSetUserFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetUserFilter(FilterType newUserFilter,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setUserFilter

    public void setUserFilter(FilterType newUserFilter)

  Specified by:
    `setUserFilter` in interface `DocumentRoot`
  Parameters:
    `newUserFilter` - the new value of the 'User Filter' containment reference.
  See Also:
    `DocumentRoot.getUserFilter()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD